# Catalog API

# Overview {% #overview %}

- **Version:** 2.0.0
- **Servers:** `https://store.xsolla.com/api`
- [Contact Us by Email](mailto:integration@xsolla.com)
- **Contact URL:** https://xsolla.com/
- **Required TLS version:** 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

* **Virtual items** — in-game items such as weapons, skins, boosters.
* **Virtual currency** — virtual money used to purchase virtual goods.
* **Virtual currency packages** — predefined bundles of virtual currency.
* **Bundles** — combined packages of virtual items, currency, or game keys sold as a single SKU.
* **Game keys** — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
* **Groups** — logical groupings for organizing and sorting items within the catalog.

## API calls {% #api-calls %}

The API is divided into the following groups:

* **<nt>Admin</nt>** — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via [basic access authentication](https://developers.xsolla.com/payment-ui-and-flow/payment-ui/how-to-get-payment-token/#payments_solution_get_user_auth_token_basic_auth) with your merchant or project credentials. Not intended for storefront use.
* **<nt>Catalog</nt>** — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

# Authentication {% #authentication %}

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the **Security** section in the description of each call.

## Authentication using user's JWT {% #authentication-using-users-jwt %}

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the `XsollaLoginUserJWT` scheme is applied. For details on how to create a token, see the [Xsolla Login API documentation](/api/login/authentication-schemes#getting-user-token).

The token is passed in the `Authorization` header in the following format: `Authorization: Bearer <user_JWT>`, where `<user_JWT>` is the user token. The token identifies the user and provides access to personalized data.

Alternatively, you can use a [token for opening the payment UI](/api/pay-station/token/create-token).

## Basic HTTP authentication {% #basic-http-authentication %}

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an [API key](/api/getting-started/#api_keys_overview) is typically used.

<div class="note"><b>Note</b><br><br>The API key is confidential and must not be stored or used in client applications.</div>

With basic server-side authentication, all API requests must include the following header:

- for `basicAuth` — `Authorization: Basic <your_authorization_basic_key>`, where `your_authorization_basic_key` is the `project_id:api_key` pair encoded in Base64
- for `basicMerchantAuth` — `Authorization: Basic <your_authorization_basic_key>`, where `your_authorization_basic_key` is the `merchant_id:api_key` pair encoded in Base64

You can find the parameter values in [Publisher Account](https://publisher.xsolla.com/):

- `merchant_id` is displayed:
  - In **Company settings > Company**.
  - In the URL in the browser address bar on any Publisher Account page. The URL has the following format: `https://publisher.xsolla.com/<merchant_id>`.
- `project_id` is displayed:
  - Next to the project name in Publisher Account.
  - In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: `https://publisher.xsolla.com/<merchant_id>/projects/<project_id>`.
- `api_key` is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
  - [Company settings > API keys](https://publisher.xsolla.com/0/settings/api_key)
  - [Project settings > API key](https://publisher.xsolla.com/0/projects/0/edit/api_key)

<div class="notice"><b>Notice</b><br><br>If a required API call doesn't include the <code>project_id</code> path parameter, use an API key that is valid across all company projects for authorization.</div>

For more information about working with API keys, see the [API references](/api/getting-started/#api_keys_overview).

## Authentication with guest access support {% #authentication-with-guest-access-support %}

The `AuthForCart` authentication scheme is used for cart purchases and supports two modes:

1. **Authentication with a user's JWT.** The token is passed in the `Authorization` header in the following format: `Authorization: Bearer <user_JWT>`, where `<user_JWT>` is the user token. The token identifies the user and provides access to personalized data.
Alternatively, you can use a [token for opening the payment UI](/api/pay-station/token/create-token).

2. **Simplified mode without Authorization header.** This mode is used only for unauthorized users and can be applied only for [game key sales](/doc/buy-button/how-to/set-up-authentication/#guides_buy_button_selling_items_not_authenticated_users). Instead of a token, the request must include the following headers:
   - `x-unauthorized-id` with a request ID
   - `x-user` with the user's email address encoded in Base64

## Useful links {% #authentication-useful-links %}

- [API calls by interaction model](/api/getting-started/#api_interaction_model)
- [Endpoint types](/api/getting-started/#api_endpoint_types)
- [Errors handling](/api/getting-started/#api_errors_handling)
- [API keys](/api/getting-started/#api_keys_overview)
- [Webhooks](/webhooks/overview)

# Core entity structure {% #core-entity-structure %}

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

<div class="note"><b>Note</b><br><br>Some calls may include additional fields but they don't change the basic structure.</div>

**Identification**

- `merchant_id` — company ID in [Publisher Account](https://publisher.xsolla.com/)
- `project_id` — project ID in Publisher Account
- `sku` — item SKU, unique within the project

**Store display**

- `name` — item name
- `description` — item description
- `image_url` — image URL
- `is_enabled` — item availability
- `is_show_in_store` — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the [documentation](/items-catalog/catalog-features/items-availability/).

**Organization**

- `type` — item type, for example, a virtual item (`virtual_item`) or bundle (`bundle`)
- `groups` — groups the item belongs to
- `order` — display order in the catalog

**Sale conditions**

- `prices` — prices in real or virtual currency
- `limits` — purchase limits
- `periods` — availability periods
- `regions` — regional restrictions

**Example of core entity structure:**

```json
{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}
```
# Basic purchase flow {% #basic-purchase-flow %}

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into **Admin** and **Catalog** subsections, which use different [authentication schemes](/api/catalog/authentication).

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

## Create items and groups (Admin) {% #create-items-and-groups-admin %}

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:
- [Create virtual item](/api/catalog/virtual-items-currency-admin/admin-create-virtual-item)
- [Create bundle](/api/catalog/bundles-admin/admin-create-bundle)
- [Create virtual currency](/api/catalog/virtual-items-currency-admin/admin-create-virtual-currency)

## Set up promotions, chains, and limits (Admin) {% #set-up-promotions-chains-and-limits-admin %}

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:
- [Create bonus promotion](/api/liveops/promotions-bonuses/create-bonus-promotion)
- [Create daily reward](/api/liveops/daily-chain-admin/admin-create-daily-chain)
- [Create unique catalog offer promotion](/api/liveops/promotions-unique-catalog-offers/admin-create-unique-catalog-offer)

## Get item information (Client) {% #get-item-information-client %}

Configure item display in your application.

<div class="notice">
  <b>Notice</b><br><br>
    Do not use API calls from the Admin subsection to build a user catalog. These API calls have <a href="https://developers.xsolla.com/api/getting-started/#api_rate_limits" target="_blank">rate limits</a> and aren't intended for user traffic.
</div>
<br>

Example API calls:
- [Get virtual items list](/api/catalog/virtual-items-currency-catalog/get-virtual-items)
- [Get item group list](/api/catalog/virtual-items-currency-catalog/get-item-groups)
- [Get list of bundles](/api/catalog/bundles-catalog/get-bundle-list)
- [Get sellable items list](/api/catalog/common-catalog/get-sellable-items)

<div class="note">
  <b>Note</b><br><br>
    By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter <code>"show_inactive_time_limited_items": 1</code> in the catalog request.
</div>

## Sell items {% #sell-items %}

You can sell items using the following methods:
- Fast purchase — sell one SKU multiple times.
- Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the [Create order with specified item purchased by virtual currency](/api/catalog/virtual-payment/create-order-with-item-for-virtual-currency) API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the [Create order with specified free item](/api/catalog/free-item/create-free-order-with-item) API call or the [Create order with free cart](/api/catalog/free-item/create-free-order) API call. The payment UI is not required — the order is immediately set to the <code>done</code> status.

### Fast purchase {% #fast-purchase %}

Use the client-side API call to [create an order with a specified item](/api/catalog/payment-client-side/create-order-with-item). The call returns a token used to open the payment UI.

<div class="note">
  <b>Note</b><br><br>
    Discount information is available to the user only in the payment UI. Promo codes are not supported.
</div>

### Cart purchase {% #cart-purchase %}

Cart setup and purchase can be performed on the client or on the server side.

**Set up and purchase a cart on the client**

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:
1. After the player has filled a cart, use the [Fill cart with items](/api/shop-builder/operation/cart-fill/) API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
2. Update the cart contents based on user actions:
   - To add an item or change item quantity, use the [Update cart item by cart ID](/api/shop-builder/operation/put-item-by-cart-id/) API call.
   - To remove an item, use the [Delete cart item by cart ID](/api/shop-builder/operation/delete-item-by-cart-id/) API call.

<div class="note">
  <b>Note</b><br><br>
    To get the current status of the cart, use the Get current user's cart API call.
</div>

3. Use the [Create order with all items from current cart](/api/shop-builder/operation/create-order/) API call. The call returns the order ID and payment token. The newly created order is set to <code>new</code> status by default.

**Set up and purchase a cart on the server**

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:
1. After the player has filled a cart, use the [Fill cart with items](/api/catalog/cart-server-side) API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
2. Use the [Create order with all items from current cart](/api/shop-builder/operation/create-order/) API call. The call returns the order ID and payment token. The newly created order is set to <code>new</code> status by default.

## Open payment UI {% #open-payment-ui %}

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the [documentation](/payment-ui-and-flow/payment-ui/how-to-open-payment-ui/#open_payment_ui).

| Action                          | Endpoint                                                                  |
|:--------------------------------|:--------------------------------------------------------------------------|
| Open in production environment. | <code>https://secure.xsolla.com/paystation4/?token={token}</code>         |
| Open in sandbox mode.           | <code>https://sandbox-secure.xsolla.com/paystation4/?token={token}</code> |

<div class="note">
  <b>Note</b><br><br>
    Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use <a href="https://developers.xsolla.com/dev-resources/testing/test-cards/">test bank cards</a>.

    After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in [Publisher Account > Company settings > Users](https://publisher.xsolla.com/0/settings/users).

    Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in [Publisher Account](https://publisher.xsolla.com/), go to **Agreements & Taxes > Agreements**, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.
</div>

To enable or disable sandbox mode, change the value of the `sandbox` parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:
- `new` — order created
- `paid` — payment received
- `done` — item delivered
- `canceled` — order canceled
- `expired` — order expired

Track order status using one of the following methods:
- [webhooks configured on your server](/virtual-goods/own-ui/server-side-token-generation/set-up-order-tracking/#payments_integration_order_tracking)
- [short-polling](/virtual-goods/own-ui/client-side-token-generation/set-up-order-tracking/#guides_shop_builder_integrate_store_get_order_status_via_short_polling)
- [WebSocket API](/virtual-goods/own-ui/client-side-token-generation/set-up-order-tracking/#guides_shop_builder_integrate_store_get_order_status_via_websocket_api)

## Useful links {% #basic-purchase-flow-useful-links %}

- Authentication
- [API calls by interaction model](/api/catalog/authentication)
- [Payment testing](/dev-resources/testing/general-info/#general_overview)
- [Set up order status tracking](/virtual-goods/own-ui/client-side-token-generation/set-up-order-tracking/?link=200-api#payments_integration_order_tracking)
- [Webhooks](/webhooks/overview)
- [Rate limits](/api/login/rate-limits)
- [Errors handling](/api/getting-started/#api_errors_handling)
- [API keys](/api/getting-started/#api_keys_overview)

# Pagination {% #pagination %}

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

- `limit` — number of items per page
- `offset` — index of the first item on the page (numbering starts from 0)
- `has_more` — indicates whether another page is available
- `total_items_count` — total number of items

Example request:

```
GET /items?limit=20&offset=40
```

Response example:

```json
{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}
```

It is recommended to send subsequent requests until the response returns `has_more = false`.

# Date and time format {% #date-and-time-format %}

Dates and time values are passed in the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.

The following are supported:

- UTC offset
- `null` value when there is no time restriction for displaying an item
- [Unix timestamp](https://www.unixtimestamp.com/) (in seconds) used in some fields

Format: `YYYY-MM-DDTHH:MM:SS±HH:MM`

Example: `2026-03-16T10:00:00+03:00`

# Localization {% #localization %}

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the [documentation](/doc/shop-builder/references/supported-languages/).

**Supported fields**

Localization can be specified for the following parameters:

- `name`
- `description`
- `long_description`

**Locale format**

The locale key can be specified in one of the following formats:

- Two-letter language code: `en`, `ru`
- Five-letter language code: `en-US`, `ru-RU`, `de-DE`

**Examples**

Example with a two-letter language code:

```json
{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}
```

Example with a five-letter language code:

```json
{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}
```

# Country and currency determination {% #country-and-currency-determination %}

The user's country determines catalog prices, the payment currency, and available payment methods
in the payment UI. Depending on the API call, the country is determined as follows:
<ul>
  <li>In <a href="https://developers.xsolla.com/api/catalog/payment-client-side/create-order-by-cart-id">client-side API calls</a>,
    the country is determined by the IP address of the request.</li>
  <li>In <a href="https://developers.xsolla.com/api/catalog/payment-server-side/admin-create-payment-token">server-side API calls</a>,
    the country is determined by the value of the <code>user.country.value</code> parameter or by the user's IP address
    from the <code>X-User-Ip</code> header. If both are passed, the <code>user.country.value</code> parameter takes precedence.</li>
</ul>

<div class="note">
  <b>Note</b><br><br>
    Only <a href="https://en.wikipedia.org/wiki/IPv4">IPv4</a> addresses are supported for country determination.
    Passing an <a href="https://en.wikipedia.org/wiki/IPv6">IPv6</a> address may result in incorrect country
    and currency detection. If you use the server-side API call and cannot provide the user's IPv4 address,
    pass the country in the <code>user.country.value</code> parameter.
</div>

# Error response format {% #error-response-format %}

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the [documentation](/dev-resources/references/errors/store-errors/).

**Response example:**

```json
{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
```

- `errorCode` — error code.
- `errorMessage` — short error description.
- `statusCode` — HTTP response status.
- `transactionId` — request ID. Returned only in some cases.
- `errorMessageExtended` — additional error details, such as request parameters. Returned only in some cases.

**Extended response example:**

```json
{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}
```

**Common HTTP status codes**

- `400` — invalid request
- `401` — authentication error
- `403` — insufficient permissions
- `404` — resource not found
- `422` — validation error
- `429` — rate limit exceeded

**Recommendations**

- Handle the HTTP status and the response body together.
- Use `errorCode` to process errors related to application logic.
- Use `transactionId` to identify requests more quickly when analyzing errors.


Version: 2.0.0

## Servers

```
https://store.xsolla.com/api
```

## Security

### basicAuth

[object Object],[object Object],[object Object],[object Object],[object Object],[object Object],[object Object]

Type: http
Scheme: basic

### XsollaLoginUserJWT

[object Object],[object Object]

Type: http
Scheme: bearer
Bearer Format: JWT

### AuthForCart

[object Object],[object Object],[object Object],[object Object],[object Object]

Type: http
Scheme: bearer

### basicMerchantAuth

[object Object],[object Object],[object Object],[object Object]

Type: http
Scheme: basic

## Download OpenAPI description

 - [Catalog API](https://xsolla.redocly.app/_bundle/api/catalog/index.yaml)

## Overview

## Admin

 - [GET /v2/project/{project_id}/admin/items/virtual_items](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-get-virtual-items-list.md): Gets the list of virtual items within a project for administration. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog.</div>
 - [POST /v2/project/{project_id}/admin/items/virtual_items](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-create-virtual-item.md): Creates a virtual item.
 - [GET /v2/project/{project_id}/admin/items/virtual_items/group/external_id/{external_id}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-get-virtual-items-list-by-group-external-id.md): Gets the list of virtual items within a group for administration. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog.</div>
 - [GET /v2/project/{project_id}/admin/items/virtual_items/group/id/{group_id}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-get-virtual-items-list-by-group-id.md): Gets the list of virtual items within a group for administration. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog.</div>
 - [GET /v2/project/{project_id}/admin/items/virtual_items/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-get-virtual-item.md): Gets the virtual item within a project for administration. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog.</div>
 - [PUT /v2/project/{project_id}/admin/items/virtual_items/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-update-virtual-item.md): Updates a virtual item.
 - [DELETE /v2/project/{project_id}/admin/items/virtual_items/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-delete-virtual-item.md): Deletes a virtual item.
 - [GET /v2/project/{project_id}/admin/items/virtual_currency](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-get-virtual-currencies-list.md): Gets the list of virtual currencies within a project for administration. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog.</div>
 - [POST /v2/project/{project_id}/admin/items/virtual_currency](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-create-virtual-currency.md): Creates a virtual currency.
 - [GET /v2/project/{project_id}/admin/items/virtual_currency/sku/{virtual_currency_sku}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-get-virtual-currency.md): Gets the virtual currency within a project for administration. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog.</div>
 - [PUT /v2/project/{project_id}/admin/items/virtual_currency/sku/{virtual_currency_sku}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-update-virtual-currency.md): Updates a virtual currency.
 - [DELETE /v2/project/{project_id}/admin/items/virtual_currency/sku/{virtual_currency_sku}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-delete-virtual-currency.md): Deletes a virtual currency.
 - [GET /v2/project/{project_id}/admin/items/virtual_currency/package](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-get-virtual-currency-packages-list.md): Gets the list of virtual currency packages within a project for administration. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog.</div>
 - [POST /v2/project/{project_id}/admin/items/virtual_currency/package](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-create-virtual-currency-package.md): Creates a virtual currency package.
 - [PUT /v2/project/{project_id}/admin/items/virtual_currency/package/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-update-virtual-currency-package.md): Updates a virtual currency package.
 - [DELETE /v2/project/{project_id}/admin/items/virtual_currency/package/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-delete-virtual-currency-package.md): Deletes a virtual currency package.
 - [GET /v2/project/{project_id}/admin/items/virtual_currency/package/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-admin/admin-get-virtual-currency-package.md): Gets the virtual currency package within a project for administration. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog.</div>
## Catalog

 - [GET /v2/project/{project_id}/items/virtual_items](https://xsolla.redocly.app/api/catalog/virtual-items-currency-catalog/get-virtual-items.md): Gets a virtual items list for building a catalog. <div class="notice"> <strong>Notice</strong><br><br> All projects have the limitation to the number of items that you can get in the response. The def
 - [GET /v2/project/{project_id}/items/virtual_items/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-catalog/get-virtual-items-sku.md): Gets a virtual item by SKU for building a catalog. <div class="note"> <strong>Notice</strong><br><br> This API call returns generic item catalog data when used without authorization. Use authorization
 - [GET /v2/project/{project_id}/items/virtual_items/all](https://xsolla.redocly.app/api/catalog/virtual-items-currency-catalog/get-all-virtual-items.md): Gets a list of all virtual items for searching on client-side. <div class="notice"> <strong>Notice</strong><br><br> Returns only item SKU, name, groups and description. </div> <br> <div class="note">
 - [GET /v2/project/{project_id}/items/virtual_currency](https://xsolla.redocly.app/api/catalog/virtual-items-currency-catalog/get-virtual-currency.md): Gets a virtual currency list for building a catalog. <div class="notice"> <strong>Attention</strong><br><br> All projects have the limitation to the number of items that you can get in the response. T
 - [GET /v2/project/{project_id}/items/virtual_currency/sku/{virtual_currency_sku}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-catalog/get-virtual-currency-sku.md): Gets a virtual currency by SKU for building a catalog. <div class="note"> <strong>Note</strong><br><br> This API call returns generic item catalog data when used without authorization. Use authorizati
 - [GET /v2/project/{project_id}/items/virtual_currency/package](https://xsolla.redocly.app/api/catalog/virtual-items-currency-catalog/get-virtual-currency-package.md): Gets a virtual currency packages list for building a catalog. <div class="notice"> <strong>Attention</strong><br><br> All projects have the limitation to the number of items that you can get in the re
 - [GET /v2/project/{project_id}/items/virtual_currency/package/sku/{virtual_currency_package_sku}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-catalog/get-virtual-currency-package-sku.md): Gets a virtual currency packages by SKU for building a catalog. <div class="note"> <strong>Note</strong><br><br> This API call returns generic item catalog data when used without authorization. Use au
 - [GET /v2/project/{project_id}/items/virtual_items/group/{external_id}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-catalog/get-virtual-items-group.md): Gets an items list from the specified group for building a catalog. <div class="notice"> <strong>Attention</strong><br><br> All projects have the limitation to the number of items that you can get in
 - [GET /v2/project/{project_id}/items/virtual_currency/group/{external_id}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-catalog/get-virtual-currency-group.md): Retrieves a list of virtual currencies from the specified group for building a catalog. <div class="notice"> <strong>Attention</strong><br><br> All projects have the limitation to the number of items
 - [GET /v2/project/{project_id}/items/virtual_currency/package/group/{external_id}](https://xsolla.redocly.app/api/catalog/virtual-items-currency-catalog/get-virtual-currency-package-group.md): Retrieves a list of virtual currency packages from the specified group for building a catalog. <div class="notice"> <strong>Attention</strong><br><br> All projects have the limitation to the number of
## Virtual payment

 - [POST /v2/project/{project_id}/payment/item/{item_sku}/virtual/{virtual_currency_sku}](https://xsolla.redocly.app/api/catalog/virtual-payment/create-order-with-item-for-virtual-currency.md): Creates item purchase using virtual currency. <br> <div class="note"> <strong>Note</strong><br><br> This API call returns generic item catalog data when used without authorization. Use authorization t
## Overview

## Catalog

 - [GET /v2/project/{project_id}/items/game](https://xsolla.redocly.app/api/catalog/game-keys-catalog/get-games-list.md): Gets a games list for building a catalog. <div class="notice"> <strong>Attention</strong><br><br> All projects have the limitation to the number of items that you can get in the response. The default
 - [GET /v2/project/{project_id}/items/game/group/{external_id}](https://xsolla.redocly.app/api/catalog/game-keys-catalog/get-games-group.md): Gets a games list from the specified group for building a catalog. <div class="notice"> <strong>Attention</strong><br><br> All projects have the limitation to the number of items that you can get in t
 - [GET /v2/project/{project_id}/items/game/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/game-keys-catalog/get-game-by-sku.md): Gets a game for the catalog. <div class="note"> <strong>Note</strong><br><br> This API call returns generic item catalog data when used without authorization. Use authorization to retrieve <a href="ht
 - [GET /v2/project/{project_id}/items/game/key/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/game-keys-catalog/get-game-key-by-sku.md): Gets a game key for the catalog. <div class="note"> <strong>Note</strong><br><br> This API call returns generic item catalog data when used without authorization. Use authorization to retrieve <a href
 - [GET /v2/project/{project_id}/items/game/key/group/{external_id}](https://xsolla.redocly.app/api/catalog/game-keys-catalog/get-game-keys-group.md): Gets a game key list from the specified group for building a catalog. <div class="notice"> <strong>Attention</strong><br><br> All projects have the limitation to the number of items that you can get i
 - [GET /v2/project/{project_id}/items/game/drm](https://xsolla.redocly.app/api/catalog/game-keys-catalog/get-drm-list.md): Gets the list of available DRMs.
## Entitlement

 - [GET /v2/project/{project_id}/entitlement](https://xsolla.redocly.app/api/catalog/game-keys-entitlement/get-user-games.md): Get the list of games owned by the user. The response will contain an array of games owned by a particular user. <div class="notice"> <strong>Attention</strong><br><br> All projects have the limitatio
 - [POST /v2/project/{project_id}/entitlement/redeem](https://xsolla.redocly.app/api/catalog/game-keys-entitlement/redeem-game-pin-code.md): Grants entitlement by a provided game code. <div class="notice"> <strong>Notice</strong><br><br> You can redeem codes only for the DRM-free platform. </div> <br> <div class="note"> <strong>Note</stron
 - [POST /v2/project/{project_id}/admin/entitlement/grant](https://xsolla.redocly.app/api/catalog/game-keys-entitlement/grant-entitlement-admin.md): Grants entitlement to user. <div class="notice"><strong>Attention</strong><br><br>Game codes or games for DRM free platform can be granted only.</div>
 - [POST /v2/project/{project_id}/admin/entitlement/revoke](https://xsolla.redocly.app/api/catalog/game-keys-entitlement/revoke-entitlement-admin.md): Revokes entitlement of user. <div class="notice"><strong>Attention</strong><br><br>Game codes or games for DRM free platform can be revoked only.</div>
## Admin

 - [POST /v2/project/{project_id}/admin/items/game](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-create-game.md): Creates a game in the project.
 - [GET /v2/project/{project_id}/admin/items/game](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-get-game-list.md): Gets the list of games within a project for administration. Game consists of game keys which could be purchased by a user. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a
 - [GET /v2/project/{project_id}/admin/items/game/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-get-game-by-sku.md): Gets a game for administration. Game consists of game keys which could be purchased by a user. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog.</div>
 - [PUT /v2/project/{project_id}/admin/items/game/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-update-game-by-sku.md): Updates a game in the project by SKU.
 - [DELETE /v2/project/{project_id}/admin/items/game/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-delete-game-by-sku.md): Deletes a game in the project by SKU.
 - [GET /v2/project/{project_id}/admin/items/game/id/{item_id}](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-get-game-by-id.md): Gets a game for administration. Game consists of game keys which could be purchased by a user. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog.</div>
 - [PUT /v2/project/{project_id}/admin/items/game/id/{item_id}](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-update-game-by-id.md): Updates a game in the project by ID.
 - [DELETE /v2/project/{project_id}/admin/items/game/id/{item_id}](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-delete-game-by-id.md): Deletes a game in the project by ID.
 - [POST /v2/project/{project_id}/admin/items/game/key/upload/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-upload-codes-by-sku.md): Uploads codes by game key SKU.
 - [POST /v2/project/{project_id}/admin/items/game/key/upload/id/{item_id}](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-upload-codes-by-id.md): Uploads codes by game key ID.
 - [GET /v2/project/{project_id}/admin/items/game/key/upload/session/{session_id}](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-get-codes-session.md): Gets codes loading session information.
 - [GET /v2/project/{project_id}/admin/items/game/key/request/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-get-codes-by-sku.md): Gets a certain number of codes by game key SKU.
 - [GET /v2/project/{project_id}/admin/items/game/key/request/id/{item_id}](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-get-codes-by-id.md): Gets a certain number of codes by game key ID.
 - [DELETE /v2/project/{project_id}/admin/items/game/key/delete/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-delete-codes-by-sku.md): Deletes all codes by game key SKU.
 - [DELETE /v2/project/{project_id}/admin/items/game/key/delete/id/{item_id}](https://xsolla.redocly.app/api/catalog/game-keys-admin/admin-delete-codes-by-id.md): Deletes all codes by game key ID.
## Overview

## Admin

 - [GET /v2/project/{project_id}/admin/items/bundle](https://xsolla.redocly.app/api/catalog/bundles-admin/admin-get-bundle-list.md): Gets the list of bundles within a project for administration. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog.</div>
 - [POST /v2/project/{project_id}/admin/items/bundle](https://xsolla.redocly.app/api/catalog/bundles-admin/admin-create-bundle.md): Creates a bundle — a set of items sold as a single unit. A bundle can contain virtual items, virtual currency packages, game keys, and other bundles. For more information, refer to the [Bundles](https
 - [GET /v2/project/{project_id}/admin/items/bundle/group/id/{group_id}](https://xsolla.redocly.app/api/catalog/bundles-admin/admin-get-bundle-list-in-group-by-id.md): Gets the list of bundles within a group for administration. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog.</div>
 - [GET /v2/project/{project_id}/admin/items/bundle/group/external_id/{external_id}](https://xsolla.redocly.app/api/catalog/bundles-admin/admin-get-bundle-list-in-group-by-external-id.md): Gets the list of bundles within a group for administration. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog.</div>
 - [PUT /v2/project/{project_id}/admin/items/bundle/sku/{sku}](https://xsolla.redocly.app/api/catalog/bundles-admin/admin-update-bundle.md): Updates a bundle. This call fully replaces the bundle — pass all required fields in the request body, not only the fields you want to change. For more information, refer to the [Bundles](https://devel
 - [DELETE /v2/project/{project_id}/admin/items/bundle/sku/{sku}](https://xsolla.redocly.app/api/catalog/bundles-admin/admin-delete-bundle.md): Deletes a bundle.
 - [GET /v2/project/{project_id}/admin/items/bundle/sku/{sku}](https://xsolla.redocly.app/api/catalog/bundles-admin/admin-get-bundle.md): Gets the bundle within a project for administration. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog.</div>
 - [PUT /v2/project/{project_id}/admin/items/bundle/sku/{sku}/show](https://xsolla.redocly.app/api/catalog/bundles-admin/admin-show-bundle.md): Shows a bundle in a catalog.
 - [PUT /v2/project/{project_id}/admin/items/bundle/sku/{sku}/hide](https://xsolla.redocly.app/api/catalog/bundles-admin/admin-hide-bundle.md): Hides a bundle in a catalog.
## Catalog

 - [GET /v2/project/{project_id}/items/bundle](https://xsolla.redocly.app/api/catalog/bundles-catalog/get-bundle-list.md): Gets a list of bundles for building a catalog. <div class="notice"> <strong>Attention</strong><br><br> All projects have the limitation to the number of items that you can get in the response. The def
 - [GET /v2/project/{project_id}/items/bundle/sku/{sku}](https://xsolla.redocly.app/api/catalog/bundles-catalog/get-bundle.md): Gets a specified bundle. <div class="note"> <strong>Note</strong><br><br> This API call returns generic item catalog data when used without authorization. Use authorization to retrieve <a href="https:
 - [GET /v2/project/{project_id}/items/bundle/group/{external_id}](https://xsolla.redocly.app/api/catalog/bundles-catalog/get-bundle-list-in-group.md): Gets a list of bundles within a group for building a catalog. <div class="notice"> <strong>Attention</strong><br><br> All projects have the limitation to the number of items that you can get in the re
## Overview

## Order life cycle

## Cart (client-side)

 - [GET /v2/project/{project_id}/cart/{cart_id}](https://xsolla.redocly.app/api/catalog/cart-client-side/get-cart-by-id.md): Returns user’s cart by cart ID.
 - [GET /v2/project/{project_id}/cart](https://xsolla.redocly.app/api/catalog/cart-client-side/get-user-cart.md): Returns the current user's cart.
 - [PUT /v2/project/{project_id}/cart/{cart_id}/clear](https://xsolla.redocly.app/api/catalog/cart-client-side/cart-clear-by-id.md): Deletes all cart items.
 - [PUT /v2/project/{project_id}/cart/clear](https://xsolla.redocly.app/api/catalog/cart-client-side/cart-clear.md): Deletes all cart items.
 - [PUT /v2/project/{project_id}/cart/fill](https://xsolla.redocly.app/api/catalog/cart-client-side/cart-fill.md): Fills the cart with items. If the cart already has an item with the same SKU, the existing item will be replaced by the passed value.
 - [PUT /v2/project/{project_id}/cart/{cart_id}/fill](https://xsolla.redocly.app/api/catalog/cart-client-side/cart-fill-by-id.md): Fills the specific cart with items. If the cart already has an item with the same SKU, the existing item position will be replaced by the passed value.
 - [PUT /v2/project/{project_id}/cart/{cart_id}/item/{item_sku}](https://xsolla.redocly.app/api/catalog/cart-client-side/put-item-by-cart-id.md): Updates an existing cart item or creates the one in the cart.
 - [DELETE /v2/project/{project_id}/cart/{cart_id}/item/{item_sku}](https://xsolla.redocly.app/api/catalog/cart-client-side/delete-item-by-cart-id.md): Removes an item from the cart.
 - [PUT /v2/project/{project_id}/cart/item/{item_sku}](https://xsolla.redocly.app/api/catalog/cart-client-side/put-item.md): Updates an existing cart item or creates the one in the cart.
 - [DELETE /v2/project/{project_id}/cart/item/{item_sku}](https://xsolla.redocly.app/api/catalog/cart-client-side/delete-item.md): Removes an item from the cart.
## Cart (server-side)

 - [PUT /v2/admin/project/{project_id}/cart/fill](https://xsolla.redocly.app/api/catalog/cart-server-side/admin-cart-fill.md): Fills the current cart with items. If the cart already has an item with the same SKU, the existing item will be replaced by the passed value.
 - [PUT /v2/admin/project/{project_id}/cart/{cart_id}/fill](https://xsolla.redocly.app/api/catalog/cart-server-side/admin-fill-cart-by-id.md): Fills the cart by cart ID with items. If the cart already has an item with the same SKU, the existing item will be replaced by the passed value.
## Payment (client-side)

 - [POST /v2/project/{project_id}/payment/cart/{cart_id}](https://xsolla.redocly.app/api/catalog/payment-client-side/create-order-by-cart-id.md): Used for client-to-server integration. Creates an order with all items from the particular cart and generates a payment token for it. The created order gets the `new` order status. The client IP is us
 - [POST /v2/project/{project_id}/payment/cart](https://xsolla.redocly.app/api/catalog/payment-client-side/create-order.md): Used for client-to-server integration. Creates an order with all items from the cart and generates a payment token for it. The created order gets the `new` order status. The client IP is used to deter
 - [POST /v2/project/{project_id}/payment/item/{item_sku}](https://xsolla.redocly.app/api/catalog/payment-client-side/create-order-with-item.md): Used for client-to-server integration. Creates an order with a specified item and generates a payment token for it. The created order gets the `new` order status. The client IP is used to determine th
## Payment (server-side)

 - [POST /v3/project/{project_id}/admin/payment/token](https://xsolla.redocly.app/api/catalog/payment-server-side/admin-create-payment-token.md): Generates an order and a payment token for it. The order is generated based on the items passed in the request body. To open the payment UI in a new window, use the following link: `https://secure.xso
## Order

 - [GET /v2/project/{project_id}/order/{order_id}](https://xsolla.redocly.app/api/catalog/order/get-order.md): Retrieves a specified order.
 - [POST /v3/project/{project_id}/admin/order/search](https://xsolla.redocly.app/api/catalog/order/admin-order-search.md): Retrieves orders list, arranged from the earliest to the latest creation date.
## Free items

 - [POST /v2/project/{project_id}/free/cart](https://xsolla.redocly.app/api/catalog/free-item/create-free-order.md): Creates an order with all items from the free cart. The created order will get a `done` order status.
 - [POST /v2/project/{project_id}/free/cart/{cart_id}](https://xsolla.redocly.app/api/catalog/free-item/create-free-order-by-cart-id.md): Creates an order with all items from the particular free cart. The created order will get a `done` order status.
 - [POST /v2/project/{project_id}/free/item/{item_sku}](https://xsolla.redocly.app/api/catalog/free-item/create-free-order-with-item.md): Creates an order with a specified free item. The created order will get a `done` order status. <br> <div class="note"> <strong>Note</strong><br><br> This API call returns generic item catalog data whe
## Overview

 - [Limit types ](https://xsolla.redocly.app/api/catalog/limits-overview/limit-types.md): ## Limit types You can configure the following limit types: * [limits.per_item](/api/catalog/virtual-items-currency-admin/admin-create-virtual-item#virtual-items-currency-admin/admin-create-virtual-i
 - [Limit configuration and enforcement scenario ](https://xsolla.redocly.app/api/catalog/limits-overview/limit-configuration-and-enforcement-scenario.md): ## Limit configuration and enforcement scenario The example below describes a scenario for configuring a purchase limit for a specific user. The item is configured with `limit_exceeded_visibility: hi
## Management

 - [DELETE /v2/project/{project_id}/admin/user/limit/item/all](https://xsolla.redocly.app/api/catalog/user-limits-admin/reset-all-user-items-limit.md): Refreshes all purchase limits across all items for a specified user so they can purchase these items again. User limit API allows you to sell an item in a limited quantity. To configure the purchase l
 - [DELETE /v2/project/{project_id}/admin/user/limit/item/sku/{item_sku}/all](https://xsolla.redocly.app/api/catalog/user-limits-admin/reset-user-item-limit.md): Refreshes the purchase limit for an item so a user can buy it again. If the *user* parameter is `null`, this call refreshes this limit for all users. User limit API allows you to sell an item in a lim
 - [GET /v2/project/{project_id}/admin/user/limit/item/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/user-limits-admin/get-user-item-limit.md): Gets the remaining number of items available to the specified user within the limit applied. User limit API allows you to sell an item in a limited quantity. To configure the purchase limits, go to th
 - [POST /v2/project/{project_id}/admin/user/limit/item/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/user-limits-admin/add-user-item-limit.md): Increases the remaining number of items available to the specified user within the limit applied. User limit API allows you to sell an item in a limited quantity. To configure the purchase limits, go
 - [PUT /v2/project/{project_id}/admin/user/limit/item/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/user-limits-admin/set-user-item-limit.md): Sets the number of items the specified user can buy within the limit applied after it was increased or decreased. User limit API allows you to sell an item in a limited quantity. To configure the purc
 - [DELETE /v2/project/{project_id}/admin/user/limit/item/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/user-limits-admin/remove-user-item-limit.md): Decreases the remaining number of items available to the specified user within the limit applied. User limit API allows you to sell an item in a limited quantity. To configure the purchase limits, go
## Admin

 - [POST /v1/projects/{project_id}/import/from_external_file](https://xsolla.redocly.app/api/catalog/connector-admin/import-items-from-external-file.md): Imports items into the store from a JSON file via the specified URL. Refer to the [documentation](https://developers.xsolla.com/doc/shop-builder/how-to/json-import/) for more information about import
 - [GET /v1/admin/projects/{project_id}/connectors/import_items/import/status](https://xsolla.redocly.app/api/catalog/connector-admin/get-items-import-status.md): Retrieves information about the progress of importing items into the project. This API call retrieves data on the last import carried out through the API or Publisher Account.
## Pre-Orders

 - [GET /v2/project/{project_id}/admin/items/pre_order/limit/item/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/common-pre-orders/get-pre-order-limit.md): Get pre-order limit of the item. Pre-Order limit API allows you to sell an item in a limited quantity. For configuring the pre-order itself, go to the Admin section of the desired item module: * [Game
 - [POST /v2/project/{project_id}/admin/items/pre_order/limit/item/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/common-pre-orders/add-pre-order-limit.md): Add quantity to pre-order limit of the item. Pre-Order limit API allows you to sell an item in a limited quantity. For configuring the pre-order itself, go to the Admin section of the desired item mod
 - [PUT /v2/project/{project_id}/admin/items/pre_order/limit/item/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/common-pre-orders/set-pre-order-limit.md): Set quantity of pre-order limit of the item. Pre-Order limit API allows you to sell an item in a limited quantity. For configuring the pre-order itself, go to the Admin section of the desired item mod
 - [DELETE /v2/project/{project_id}/admin/items/pre_order/limit/item/sku/{item_sku}](https://xsolla.redocly.app/api/catalog/common-pre-orders/remove-pre-order-limit.md): Remove quantity of pre-order limit of the item. Pre-Order limit API allows you to sell an item in a limited quantity. For configuring the pre-order itself, go to the Admin section of the desired item
 - [PUT /v2/project/{project_id}/admin/items/pre_order/limit/item/sku/{item_sku}/toggle](https://xsolla.redocly.app/api/catalog/common-pre-orders/toggle-pre-order-limit.md): Enable/disable pre-order limit of the item. Pre-Order limit API allows you to sell an item in a limited quantity. For configuring the pre-order itself, go to the admin section of the desired item modu
 - [DELETE /v2/project/{project_id}/admin/items/pre_order/limit/item/sku/{item_sku}/all](https://xsolla.redocly.app/api/catalog/common-pre-orders/remove-all-pre-order-limit.md): Remove all quantity of pre-order limit of the item. Pre-Order limit API allows you to sell an item in a limited quantity. For configuring the pre-order itself, go to the admin section of the desired i
## Merchant

 - [GET /v2/merchant/{merchant_id}/projects](https://xsolla.redocly.app/api/catalog/common-merchant/get-projects.md): Gets the list of merchant's projects. <div class="notice"> <p><strong>Notice</strong></p><p>This API call does not contain the <code>project_id</code> path parameter, so you need to use the API key th
## Catalog

 - [GET /v2/project/{project_id}/items](https://xsolla.redocly.app/api/catalog/common-catalog/get-sellable-items.md): Gets a sellable items list for building a catalog. <div class="notice"> <strong>Attention</strong><br><br> All projects have the limitation to the number of items that you can get in the response. The
 - [GET /v2/project/{project_id}/items/id/{item_id}](https://xsolla.redocly.app/api/catalog/common-catalog/get-sellable-item-by-id.md): Gets a sellable item by its ID. <div class="note"> <strong>Note</strong><br><br> This API call returns generic item catalog data when used without authorization. Use authorization to retrieve <a href=
 - [GET /v2/project/{project_id}/items/sku/{sku}](https://xsolla.redocly.app/api/catalog/common-catalog/get-sellable-item-by-sku.md): Gets a sellable item by SKU for building a catalog. <div class="note"> <strong>Note</strong><br><br> This API call returns generic item catalog data when used without authorization. Use authorization
 - [GET /v2/project/{project_id}/items/group/{external_id}](https://xsolla.redocly.app/api/catalog/common-catalog/get-sellable-items-group.md): Gets a sellable items list from the specified group for building a catalog. <div class="notice"> <strong>Attention</strong><br><br> All projects have the limitation to the number of items that you can
## Common regions

 - [GET /v2/project/{project_id}/admin/region](https://xsolla.redocly.app/api/catalog/common-regions/admin-get-regions.md): Gets list of regions. You can use a region for managing your regional restrictions.
 - [POST /v2/project/{project_id}/admin/region](https://xsolla.redocly.app/api/catalog/common-regions/admin-create-region.md): Creates region. You can use a region for managing your regional restrictions.
 - [GET /v2/project/{project_id}/admin/region/{region_id}](https://xsolla.redocly.app/api/catalog/common-regions/admin-get-region.md): Gets particular region. You can use a region for managing your regional restrictions.
 - [PUT /v2/project/{project_id}/admin/region/{region_id}](https://xsolla.redocly.app/api/catalog/common-regions/admin-update-region.md): Updates particular region. You can use a region for managing your regional restrictions.
 - [DELETE /v2/project/{project_id}/admin/region/{region_id}](https://xsolla.redocly.app/api/catalog/common-regions/admin-delete-region.md): Deletes particular region.
## Webhooks

 - [PUT /v2/project/{project_id}/admin/webhook/version](https://xsolla.redocly.app/api/catalog/common-webhooks/update-webhook-version.md): Updates the webhook version for the project. In version 2, additional parameters are included in the `items` array. For more information about webhooks, see the [Set up order status tracking](https:/
## Admin

 - [GET /v2/project/{project_id}/admin/attribute](https://xsolla.redocly.app/api/catalog/attribute-admin/admin-get-attribute-list.md): Gets the list of attributes from a project for administration.
 - [POST /v2/project/{project_id}/admin/attribute](https://xsolla.redocly.app/api/catalog/attribute-admin/admin-create-attribute.md): Creates an attribute.
 - [PUT /v2/project/{project_id}/admin/attribute/{external_id}](https://xsolla.redocly.app/api/catalog/attribute-admin/admin-update-attribute.md): Updates an attribute.
 - [GET /v2/project/{project_id}/admin/attribute/{external_id}](https://xsolla.redocly.app/api/catalog/attribute-admin/admin-get-attribute.md): Gets a specified attribute.
 - [DELETE /v2/project/{project_id}/admin/attribute/{external_id}](https://xsolla.redocly.app/api/catalog/attribute-admin/delete-attribute.md): Deletes an attribute. <div class="notice"><strong>Notice</strong><br><br>If you delete an item attribute, all its data and connections with items will be lost.</div>
 - [POST /v2/project/{project_id}/admin/attribute/{external_id}/value](https://xsolla.redocly.app/api/catalog/attribute-admin/admin-create-attribute-value.md): Creates an attribute value. <div class="notice"><strong>Attention</strong><br><br>All projects have the limitation to the number of attribute values. The default and maximum value is <strong>20 values
 - [DELETE /v2/project/{project_id}/admin/attribute/{external_id}/value](https://xsolla.redocly.app/api/catalog/attribute-admin/admin-delete-all-attribute-value.md): Deletes all values of the attribute. <div class="notice"><strong>Notice</strong><br><br>If you delete an attribute's value, all connections between the attribute and items will be lost. To change the
 - [PUT /v2/project/{project_id}/admin/attribute/{external_id}/value/{value_external_id}](https://xsolla.redocly.app/api/catalog/attribute-admin/admin-update-attribute-value.md): Updates an attribute values.
 - [DELETE /v2/project/{project_id}/admin/attribute/{external_id}/value/{value_external_id}](https://xsolla.redocly.app/api/catalog/attribute-admin/admin-delete-attribute-value.md): Deletes an attribute value. <div class="notice"><strong>Notice</strong><br><br>If you delete an attribute's value, all connections between the attribute and items will be lost. To change the attribut
## Admin

 - [GET /v2/project/{project_id}/admin/items/groups](https://xsolla.redocly.app/api/catalog/item-groups-admin/admin-get-item-group-list.md): Retrieves the full list of item groups within a project without pagination. For administrative purposes. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog. Use
 - [POST /v2/project/{project_id}/admin/items/groups](https://xsolla.redocly.app/api/catalog/item-groups-admin/admin-create-item-group.md): Creates an item group within a project. To retrieve item groups for building a catalog, use the <a href="/api/catalog/item-groups-catalog/get-item-groups">Get item group list</a> client-side endpoint.
 - [GET /v2/project/{project_id}/admin/items/groups/{external_id}](https://xsolla.redocly.app/api/catalog/item-groups-admin/admin-get-item-group.md): Retrieves an item group by its external ID for administrative purposes. <div class="note"><b>Note</b><br><br>Do not use this endpoint for building a store catalog. Use the <a href="/api/catalog/item-g
 - [PUT /v2/project/{project_id}/admin/items/groups/{external_id}](https://xsolla.redocly.app/api/catalog/item-groups-admin/admin-update-item-group.md): Updates an item group by its external ID.
 - [DELETE /v2/project/{project_id}/admin/items/groups/{external_id}](https://xsolla.redocly.app/api/catalog/item-groups-admin/admin-delete-item-group.md): Deletes an item group by its external ID.
 - [GET /v2/project/{project_id}/admin/items/{item_type}/groups](https://xsolla.redocly.app/api/catalog/item-groups-admin/admin-get-item-group-list-by-item-type.md): Retrieves item group list with filtering by item type. Only items of the specified type are counted for the group. This is similar to the [Get item group list](/api/catalog/item-groups-admin/admin-get
 - [GET /v2/project/{project_id}/admin/items/{item_type}/groups/{external_id}](https://xsolla.redocly.app/api/catalog/item-groups-admin/admin-get-item-group-by-item-type.md): Retrieves an item group by external ID. Only items of the specified type are counted for the group. This is similar to the [Get item group by external ID](/api/catalog/item-groups-admin/admin-get-item
 - [PUT /v2/project/{project_id}/admin/group/order](https://xsolla.redocly.app/api/catalog/item-groups-admin/admin-reorder-item-groups.md): Sets the display order for item groups within a project. Pass an array of groups with their new order values.
 - [PUT /v2/project/{project_id}/admin/group/{external_id}/order/item](https://xsolla.redocly.app/api/catalog/item-groups-admin/admin-reorder-items-in-group.md): Sets the display order of items within a group identified by its external ID. Pass an array of items with their new order values.
 - [PUT /v2/project/{project_id}/admin/group/id/{id}/order/item](https://xsolla.redocly.app/api/catalog/item-groups-admin/admin-reorder-items-in-group-by-id.md): Sets the display order of items within a group identified by its internal numeric ID. Pass an array of items with their new order values.
## Catalog

 - [GET /v2/project/{project_id}/items/groups](https://xsolla.redocly.app/api/catalog/item-groups-catalog/get-item-groups.md): Retrieves an item group list for building a catalog without pagination. <div class="note"><b>Note</b><br><br>The use of the item catalog API calls is available without authorization, but to get a <a h
